# Local built-in

The local built-in prints or sets local variables.

## Syntax

- `local [-rxX] [name[=value]…]`

## Description

The local built-in is equivalent to the typeset built-in except that the `-f` (`--functions`) and `-g` (`--global`) options cannot be used.

## Notes

The local built-in is an elective built-in. It cannot be used in the POSIXly-correct mode because POSIX does not define its behavior.